# List metaobjects of a type

Returns metaobjects of a type, one page at a time. Works with Shopify accounts.

```http
GET https://api.pozy.ai/v1/commerce/metaobjects
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string, required)
- `type` (string, required)
- `limit` (integer)
- `cursor` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/commerce/metaobjects?accountId=696e0b682d0a31188e7a2ba9&type=string&limit=20" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/metaobjects?accountId=696e0b682d0a31188e7a2ba9&type=string&limit=20", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/commerce/metaobjects",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "type": "string",
        "limit": 20,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `metaobjects`, array of object
  - `id`, string
  - `type`, string
  - `handle`, string
  - `displayName`, string
  - `fields`, array of object
    - `key`, string
    - `type`, string
    - `value`, string: Can be null
- `nextCursor`, string: Can be null

```json
{
  "metaobjects": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "type": "string",
      "handle": "acme",
      "displayName": "Acme",
      "fields": [
        {
          "key": "string",
          "type": "string",
          "value": "string"
        }
      ]
    }
  ],
  "nextCursor": "string"
}
```
